Query task iterations

With this API, you can get detailed information about task iterations.

Input Parameters

Information can be filtered using the following query_params:

ParameterTypeRequiredDescription
id_taskIntegerOptionalTask ID. Can be consulted here. (id_task field)
item_codeTextOptionalCode of the asset associated with the task. Can be obtained here (code field)
startIntegerOptionalRecord number where the query will start. Default is 0.
All queries are limited to 100 records, when there are more than that amount, this parameter must be used for pagination.
limitIntegerOptionalNumber of records that the request will show. The default value is 100.

Output Parameters

ParameterTypeDescription
id_companyIntegerCompany ID
id_group_taskIntegerTask plan ID
id_itemIntegerAsset ID
id_type_itemIntegerAsset type. Can be:
1 - Location
2 - Equipment
3 - Tools
5 - Digital
item_descriptionTextAsset description
item_codeTextAsset code
id_taskIntegerTask ID
is_cyclicalBooleanIndicates if the task is cyclical; if so, it will have iterations.
task_descriptionTextTask description
num_iterationsIntegerNumber of configured executions/iterations
replay_counterIntegerNumber of executions
replay_counter_cyclesIntegerExecutions in the cycle
completed_cyclesIntegerCompleted cycles
last_iterationIntegerLast executed iteration
next_iterationIntegerNext iteration

Example:

Request: (GET)https://app.fracttal.com/api/tasks_iterations/12992372

{
    "success": true,
    "message": "200",
    "data": [
        {
            "id_company": 1190,
            "id_group_task": 228337,
            "id_item": 35730252,
            "id_type_item": 2,
            "item_description": "EQUIPO JCD { JCD-E-0001 }",
            "item_code": "JCD-E-0001",
            "id_task": 12992372,
            "is_cyclical": true,
            "task_description": "tarea ciclica",
            "num_iterations": 3,
            "replay_counter": 4,
            "replay_counter_cycles": 4,
            "completed_cycles": 1,
            "last_iteration": 1,
            "next_iteration": 2
        }
    ],
    "total": 1
}
Path Params
string
required
Response
200
Language
LoadingLoading…